Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/catalog/reference/)
# Catalog API Reference
* Catalog
* Core
* getlanding page
* getinformation about specifications that this API conforms to
* Collections
* getthe feature collections in the dataset
* getdescribe the feature collection with id \`collectionId\`
* getGet the JSON Schema defining the list of variable terms that can be used in CQL2 expressions.
* Features
* getfetch features
* getfetch a single feature
* Item Search
* getSearch STAC items with simple filtering.
* postSearch STAC items with full-featured filtering.
[API docs by Redocly](https://redocly.com/redoc/)
# API Reference (1.0.0)
Download OpenAPI specification:[Download](https://docs.planet.com/redocusaurus/sh-prod-catalog-api-spec.yaml)
## [](#tag/catalog_core)Core
This is an OpenAPI definition of the SpatioTemporal Asset Catalog API - Core specification. Any service that implements this endpoint to allow discovery of spatiotemporal assets can be considered a STAC API.
Make sure to use the appropriate [end-point for each of the datasets](https://docs.sentinel-hub.com/api/latest/data/), e.g. for Landsat, Sentinel-3, etc.
## [](#tag/catalog_core/operation/getCatalogLandingPage)landing page
Returns the root STAC Catalog or STAC Collection that is the entry point for users to browse with STAC Browser or for search engines to crawl. This can either return a single STAC Collection or more commonly a STAC catalog.
The landing page provides links to the API definition (link relations `service-desc` and `service-doc`) and the STAC records such as collections/catalogs (link relation `child`) or items (link relation `item`).
Extensions may add additional links with new relation types.
### Responses
**200**
The landing page provides links to the API definition (link relations `service-desc` and `service-doc`), the Conformance declaration (path `/conformance`, link relation `conformance`), and the Feature Collections (path `/collections`, link relation `data`).
**500**
An error occurred.
get/catalog/v1
https\://services.sentinel-hub.com/catalog/v1
### Response samples
* 200
* 500
Content type
application/json
Copy
Expand all Collapse all
`{
"type": "Catalog",
"stac_version": "1.0.0",
"id": "sentinel-hub",
"title": "Sentinel Hub STAC catalog",
"description": "STAC v1.0.0 implementation by Sentinel Hub",
"conformsTo": [
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/core",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/oas30",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/geojson",
"https://api.stacspec.org/v1.0.0/core",
"https://api.stacspec.org/v1.0.0/collections",
"https://api.stacspec.org/v1.0.0/ogcapi-features",
"https://api.stacspec.org/v1.0.0/ogcapi-features#fields",
"https://api.stacspec.org/v1.0.0/ogcapi-features#context",
"https://api.stacspec.org/v1.0.0/ogcapi-features#filter",
"https://api.stacspec.org/v1.0.0/item-search",
"https://api.stacspec.org/v1.0.0/item-search#fields",
"https://api.stacspec.org/v1.0.0/item-search#context",
"https://api.stacspec.org/v1.0.0/item-search#filter",
"http://www.opengis.net/spec/ogcapi-features-3/1.0/conf/filter",
"http://www.opengis.net/spec/ogcapi-features-3/1.0/conf/features-filter",
"http://www.opengis.net/spec/cql2/1.0/conf/cql2-text",
"http://www.opengis.net/spec/cql2/1.0/conf/cql2-json",
"http://www.opengis.net/spec/cql2/1.0/conf/basic-cql2"
],
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections",
"rel": "data",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/conformance",
"rel": "conformance",
"type": "application/json",
"title": "STAC conformance classes implemented by this server"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/search",
"rel": "search",
"type": "application/geo+json",
"title": "STAC search",
"method": "GET"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/search",
"rel": "search",
"type": "application/geo+json",
"title": "STAC search",
"method": "POST"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/queryables",
"rel": "http://www.opengis.net/def/rel/ogc/1.0/queryables",
"type": "application/schema+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l1c",
"rel": "child",
"type": "application/json",
"title": "Sentinel 2 L1C"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-1-grd",
"rel": "child",
"type": "application/json",
"title": "Sentinel 1 GRD"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "child",
"type": "application/json",
"title": "Sentinel 2 L2A"
},
{
"href": "https://docs.sentinel-hub.com/api/latest/reference/openapi.v1.yaml",
"rel": "service-desc",
"type": "application/vnd.oai.openapi;version=\"3.1\"",
"title": "OpenAPI service description"
},
{
"href": "https://docs.planet.com/develop/apis/catalog/reference/#tag/catalog_core",
"rel": "service-doc",
"type": "text/html",
"title": "OpenAPI service documentation"
}
]
}`
## [](#tag/catalog_core/operation/getCatalogConformanceDeclaration)information about specifications that this API conforms to
A list of all conformance classes specified in a standard that the server conforms to.
### Responses
**200**
The URIs of all conformance classes supported by the server.
To support "generic" clients that want to access multiple OGC API Features implementations - and not "just" a specific API / server, the server declares the conformance classes it implements and conforms to.
**500**
An error occurred.
get/catalog/v1/conformance
https\://services.sentinel-hub.com/catalog/v1/conformance
### Response samples
* 200
* 500
Content type
application/json
Copy
Expand all Collapse all
`{
"conformsTo": [
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/core",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/oas30",
"http://www.opengis.net/spec/ogcapi-features-1/1.0/conf/geojson",
"https://api.stacspec.org/v1.0.0/core",
"https://api.stacspec.org/v1.0.0/collections",
"https://api.stacspec.org/v1.0.0/ogcapi-features",
"https://api.stacspec.org/v1.0.0/ogcapi-features#fields",
"https://api.stacspec.org/v1.0.0/ogcapi-features#context",
"https://api.stacspec.org/v1.0.0/ogcapi-features#filter",
"https://api.stacspec.org/v1.0.0/item-search",
"https://api.stacspec.org/v1.0.0/item-search#fields",
"https://api.stacspec.org/v1.0.0/item-search#context",
"https://api.stacspec.org/v1.0.0/item-search#filter",
"http://www.opengis.net/spec/ogcapi-features-3/1.0/conf/filter",
"http://www.opengis.net/spec/ogcapi-features-3/1.0/conf/features-filter",
"http://www.opengis.net/spec/cql2/1.0/conf/cql2-text",
"http://www.opengis.net/spec/cql2/1.0/conf/cql2-json",
"http://www.opengis.net/spec/cql2/1.0/conf/basic-cql2"
]
}`
## [](#tag/catalog_collections)Collections
This is an OpenAPI definition of the SpatioTemporal Asset Catalog API - Collections specification. This is a subset of the STAC API - Features specification.
## [](#tag/catalog_collections/operation/getCatalogCollections)the feature collections in the dataset
A body of Feature Collections that belong or are used together with additional links. Request may not return the full set of metadata per Feature Collection.
##### Authorizations:
*OAuth2*
### Responses
**200**
The feature collections shared by this API.
The dataset is organized as one or more feature collections. This resource provides information about and access to the collections.
The response contains the list of collections. For each collection, a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**403**
Insufficient permissions.
**500**
A server error occurred.
get/catalog/v1/collections
https\://services.sentinel-hub.com/catalog/v1/collections
### Response samples
* 200
* 403
* 500
Content type
application/json
Copy
Expand all Collapse all
`{
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "parent",
"type": "application/json"
}
],
"collections": [
{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/scientific/v1.0.0/schema.json",
"https://stac-extensions.github.io/eo/v1.0.0/schema.json"
],
"type": "Collection",
"id": "sentinel-2-l1c",
"title": "Sentinel 2 L1C",
"description": "Sentinel 2 imagery processed to level 1C",
"sci:citation": "Modified Copernicus Sentinel data [Year]/Sentinel Hub",
"license": "proprietary",
"providers": [
{
"name": "ESA",
"roles": [
"producer"
],
"url": "https://esa.int/"
},
{
"name": "AWS",
"roles": [
"host"
],
"url": "https://aws.amazon.com/"
},
{
"name": "Sinergise",
"roles": [
"processor"
],
"url": "https://www.sinergise.com/"
}
],
"extent": {
"spatial": {
"bbox": [ [
-180,
-56,
180,
83
]
]
},
"temporal": {
"interval": [ [
"2015-11-01T00:00:00Z",
null
]
]
}
},
"summaries": {
"platform": [
"sentinel-2a",
"sentinel-2b"
],
"instrument": [
"msi"
],
"constellation": [
"sentinel-2"
],
"gsd": [
10
],
"eo:cloud_cover": {
"minimum": 0,
"maximum": 100
},
"eo:bands": [
{
"name": "B01",
"common_name": "coastal",
"center_wavelength": 0.4427,
"full_width_half_max": 0.021
},
{
"name": "B02",
"common_name": "blue",
"center_wavelength": 0.4924,
"full_width_half_max": 0.066
},
{
"name": "B03",
"common_name": "green",
"center_wavelength": 0.5598,
"full_width_half_max": 0.036
},
{
"name": "B04",
"common_name": "red",
"center_wavelength": 0.6646,
"full_width_half_max": 0.031
},
{
"name": "B05",
"center_wavelength": 0.7041,
"full_width_half_max": 0.015
},
{
"name": "B06",
"center_wavelength": 0.7405,
"full_width_half_max": 0.015
},
{
"name": "B07",
"center_wavelength": 0.7828,
"full_width_half_max": 0.02
},
{
"name": "B08",
"common_name": "nir",
"center_wavelength": 0.8328,
"full_width_half_max": 0.106
},
{
"name": "B8A",
"common_name": "nir08",
"center_wavelength": 0.8647,
"full_width_half_max": 0.021
},
{
"name": "B09",
"common_name": "nir09",
"center_wavelength": 0.9451,
"full_width_half_max": 0.02
},
{
"name": "B10",
"common_name": "cirrus",
"center_wavelength": 1.3735,
"full_width_half_max": 0.031
},
{
"name": "B11",
"common_name": "swir16",
"center_wavelength": 1.6137,
"full_width_half_max": 0.091
},
{
"name": "B12",
"common_name": "swir22",
"center_wavelength": 2.2024,
"full_width_half_max": 0.175
}
]
},
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l1c",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l1c/queryables",
"rel": "http://www.opengis.net/def/rel/ogc/1.0/queryables",
"type": "application/schema+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l1c/items",
"rel": "items",
"type": "application/geo+json"
}
]
},
{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/scientific/v1.0.0/schema.json",
"https://stac-extensions.github.io/sat/v1.0.0/schema.json",
"https://stac-extensions.github.io/sar/v1.0.0/schema.json",
"https://docs.sentinel-hub.com/api/latest/stac/s1/v1.0.0/schema.json"
],
"type": "Collection",
"id": "sentinel-1-grd",
"title": "Sentinel 1 GRD",
"description": "Sentinel 1 Ground Range Detected Imagery",
"sci:citation": "Modified Copernicus Sentinel data [Year]/Sentinel Hub",
"license": "proprietary",
"providers": [
{
"name": "ESA",
"roles": [
"producer"
],
"url": "https://esa.int/"
},
{
"name": "AWS",
"roles": [
"host"
],
"url": "https://aws.amazon.com/"
},
{
"name": "Sinergise",
"roles": [
"processor"
],
"url": "https://www.sinergise.com/"
}
],
"extent": {
"spatial": {
"bbox": [ [
-180,
-85,
180,
85
]
]
},
"temporal": {
"interval": [ [
"2014-10-03T00:00:00Z",
null
]
]
}
},
"summaries": {
"platform": [
"sentinel-1a",
"sentinel-1b"
],
"instrument": [
"c-sar"
],
"constellation": [
"sentinel-1"
],
"sat:orbit_state": [
"ascending",
"descending"
],
"sar:instrument_mode": [
"SM",
"IW",
"EW",
"WV",
"EN",
"AN",
"IM"
],
"sar:frequency_band": [
"C"
],
"sar:center_frequency": [
5.405
],
"sar:product_type": [
"GRD"
],
"sar:polarizations": [
"HH",
"HV",
"VH",
"VV"
],
"sar:resolution_range": [
9,
20,
23,
50,
52,
84,
88,
93
],
"sar:resolution_azimuth": [
9,
22,
23,
50,
51,
84,
87
],
"sar:pixel_spacing_range": [
3.5,
10,
25,
40
],
"sar:pixel_spacing_azimuth": [
3.5,
10,
25,
40
],
"s1:timeliness": [
"NRT10m",
"NRT1h",
"NRT3h",
"Fast24h",
"Offline",
"Reprocessing",
"ArchNormal"
],
"s1:resolution": [
"HIGH",
"MEDIUM",
"FULL"
],
"s1:polarization": [
"SH",
"SV",
"DH",
"DV",
"HH",
"HV",
"VV",
"VH"
]
},
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-1-grd",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-1-grd/queryables",
"rel": "http://www.opengis.net/def/rel/ogc/1.0/queryables",
"type": "application/schema+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-1-grd/items",
"rel": "items",
"type": "application/geo+json"
}
]
},
{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/scientific/v1.0.0/schema.json",
"https://stac-extensions.github.io/eo/v1.0.0/schema.json"
],
"type": "Collection",
"id": "sentinel-2-l2a",
"title": "Sentinel 2 L2A",
"description": "Sentinel 2 imagery processed to level 2A",
"sci:citation": "Modified Copernicus Sentinel data [Year]/Sentinel Hub",
"license": "proprietary",
"providers": [
{
"name": "ESA",
"roles": [
"producer"
],
"url": "https://esa.int/"
},
{
"name": "AWS",
"roles": [
"host"
],
"url": "https://aws.amazon.com/"
},
{
"name": "Sinergise",
"roles": [
"processor"
],
"url": "https://www.sinergise.com/"
}
],
"extent": {
"spatial": {
"bbox": [ [
-180,
-56,
180,
83
]
]
},
"temporal": {
"interval": [ [
"2016-11-01T00:00:00Z",
null
]
]
}
},
"summaries": {
"platform": [
"sentinel-2a",
"sentinel-2b"
],
"instrument": [
"msi"
],
"constellation": [
"sentinel-2"
],
"gsd": [
10
],
"eo:cloud_cover": {
"minimum": 0,
"maximum": 100
},
"eo:bands": [
{
"name": "B01",
"common_name": "coastal",
"center_wavelength": 0.4427,
"full_width_half_max": 0.021
},
{
"name": "B02",
"common_name": "blue",
"center_wavelength": 0.4924,
"full_width_half_max": 0.066
},
{
"name": "B03",
"common_name": "green",
"center_wavelength": 0.5598,
"full_width_half_max": 0.036
},
{
"name": "B04",
"common_name": "red",
"center_wavelength": 0.6646,
"full_width_half_max": 0.031
},
{
"name": "B05",
"center_wavelength": 0.7041,
"full_width_half_max": 0.015
},
{
"name": "B06",
"center_wavelength": 0.7405,
"full_width_half_max": 0.015
},
{
"name": "B07",
"center_wavelength": 0.7828,
"full_width_half_max": 0.02
},
{
"name": "B08",
"common_name": "nir",
"center_wavelength": 0.8328,
"full_width_half_max": 0.106
},
{
"name": "B8A",
"common_name": "nir08",
"center_wavelength": 0.8647,
"full_width_half_max": 0.021
},
{
"name": "B09",
"common_name": "nir09",
"center_wavelength": 0.9451,
"full_width_half_max": 0.02
},
{
"name": "B11",
"common_name": "swir16",
"center_wavelength": 1.6137,
"full_width_half_max": 0.091
},
{
"name": "B12",
"common_name": "swir22",
"center_wavelength": 2.2024,
"full_width_half_max": 0.175
}
]
},
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/queryables",
"rel": "http://www.opengis.net/def/rel/ogc/1.0/queryables",
"type": "application/schema+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items",
"rel": "items",
"type": "application/geo+json"
}
]
}
]
}`
## [](#tag/catalog_collections/operation/getCatalogCollection)describe the feature collection with id \`collectionId\`
A single Feature Collection for the given if `collectionId`. Request this endpoint to get a full list of metadata for the Feature Collection.
##### Authorizations:
*OAuth2*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
### Responses
**200**
Information about the feature collection with id `collectionId`.
The response contains a link to the items in the collection (path `/collections/{collectionId}/items`, link relation `items`) as well as key information about the collection. This information includes:
* A local identifier for the collection that is unique for the dataset;
* A list of coordinate reference systems (CRS) in which geometries may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
* An optional title and description for the collection;
* An optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
* An optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
**400**
Illegal collection.
**403**
Insufficient permissions.
**404**
The requested URI was not found.
**500**
A server error occurred.
get/catalog/v1/collections/{collectionId}
https\://services.sentinel-hub.com/catalog/v1/collections/{collectionId}
### Response samples
* 200
* 400
* 403
* 500
Content type
application/json
Copy
Expand all Collapse all
`{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/scientific/v1.0.0/schema.json",
"https://stac-extensions.github.io/eo/v1.0.0/schema.json"
],
"type": "Collection",
"id": "sentinel-2-l2a",
"title": "Sentinel 2 L2A",
"description": "Sentinel 2 imagery processed to level 2A",
"sci:citation": "Modified Copernicus Sentinel data [Year]/Sentinel Hub",
"license": "proprietary",
"providers": [
{
"name": "ESA",
"roles": [
"producer"
],
"url": "https://esa.int/"
},
{
"name": "AWS",
"roles": [
"host"
],
"url": "https://aws.amazon.com/"
},
{
"name": "Sinergise",
"roles": [
"processor"
],
"url": "https://www.sinergise.com/"
}
],
"extent": {
"spatial": {
"bbox": [ [
-180,
-56,
180,
83
]
]
},
"temporal": {
"interval": [ [
"2016-11-01T00:00:00Z",
null
]
]
}
},
"summaries": {
"platform": [
"sentinel-2a",
"sentinel-2b"
],
"instrument": [
"msi"
],
"constellation": [
"sentinel-2"
],
"gsd": [
10
],
"eo:cloud_cover": {
"minimum": 0,
"maximum": 100
},
"eo:bands": [
{
"name": "B01",
"common_name": "coastal",
"center_wavelength": 0.4427,
"full_width_half_max": 0.021
},
{
"name": "B02",
"common_name": "blue",
"center_wavelength": 0.4924,
"full_width_half_max": 0.066
},
{
"name": "B03",
"common_name": "green",
"center_wavelength": 0.5598,
"full_width_half_max": 0.036
},
{
"name": "B04",
"common_name": "red",
"center_wavelength": 0.6646,
"full_width_half_max": 0.031
},
{
"name": "B05",
"center_wavelength": 0.7041,
"full_width_half_max": 0.015
},
{
"name": "B06",
"center_wavelength": 0.7405,
"full_width_half_max": 0.015
},
{
"name": "B07",
"center_wavelength": 0.7828,
"full_width_half_max": 0.02
},
{
"name": "B08",
"common_name": "nir",
"center_wavelength": 0.8328,
"full_width_half_max": 0.106
},
{
"name": "B8A",
"common_name": "nir08",
"center_wavelength": 0.8647,
"full_width_half_max": 0.021
},
{
"name": "B09",
"common_name": "nir09",
"center_wavelength": 0.9451,
"full_width_half_max": 0.02
},
{
"name": "B11",
"common_name": "swir16",
"center_wavelength": 1.6137,
"full_width_half_max": 0.091
},
{
"name": "B12",
"common_name": "swir22",
"center_wavelength": 2.2024,
"full_width_half_max": 0.175
}
]
},
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "self",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/queryables",
"rel": "http://www.opengis.net/def/rel/ogc/1.0/queryables",
"type": "application/schema+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items",
"rel": "items",
"type": "application/geo+json"
}
]
}`
## [](#tag/catalog_collections/operation/getCatalogCollectionQueryables)Get the JSON Schema defining the list of variable terms that can be used in CQL2 expressions.
This endpoint returns a list of variable terms that can be used in CQL2 expressions. The precise definition of this can be found in the OGC API - Features - Part 3: Filtering and the Common Query Language (CQL) specification.
##### Authorizations:
*OAuth2*
##### path Parameters
| | |
| -------------------- | ---------------------- |
| collectionIdrequired | stringID of Collection |
### Responses
**200**
A JSON Schema defining the Queryables allowed in CQL2 expressions
**400**
Illegal collection.
**403**
Insufficient permissions.
**404**
The requested URI was not found.
**500**
A server error occurred.
get/catalog/v1/collections/{collectionId}/queryables
https\://services.sentinel-hub.com/catalog/v1/collections/{collectionId}/queryables
### Response samples
* 200
* 400
* 403
* 500
Content type
application/schema+json
Copy
Expand all Collapse all
`{
"$schema": "https://json-schema.org/draft/2019-09/schema",
"$id": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/queryables/",
"type": "object",
"title": "Queryables for Catalog STAC API",
"description": "Queryable names for the Catalog STAC API Item Search filter.",
"properties": {
"eo:cloud_cover": {
"description": "Cloud Cover",
"type": "number",
"minimum": 0,
"maximum": 100
}
},
"additionalProperties": false
}`
## [](#tag/catalog_features)Features
This is an OpenAPI definition of the SpatioTemporal Asset Catalog API - Features specification. This extends OGC API - Features - Part 1: Core.
## [](#tag/catalog_features/operation/getCatalogFeatures)fetch features
Fetch features of the feature collection with id `collectionId`.
Every feature in a dataset belongs to a collection. A dataset may consist of multiple feature collections. A feature collection is often a collection of features of a similar type, based on a common schema.
##### Authorizations:
*OAuth2*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
##### query Parameters
| | |
| -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| limit | integer \[ 1 .. 100 ]Default: 10The optional limit parameter recommends the number of items that should be present in the response document.If the limit parameter value is greater than advertised limit maximum, the server must return the maximum possible number of items, rather than responding with an error.Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items must not be counted.Minimum = 1. Maximum = 100. Default = 10. |
| bbox | Array of numbers or Array of numbersOnly features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):- Lower left corner, coordinate axis 1
- Lower left corner, coordinate axis 2
- Minimum value, coordinate axis 3 (optional)
- Upper right corner, coordinate axis 1
- Upper right corner, coordinate axis 2
- Maximum value, coordinate axis 3 (optional)The coordinate reference system of the values is WGS 84 longitude/latitude ().For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box.If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries. |
| datetime | stringEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.Examples:- A date-time: "2018-02-12T23:20:50Z"
- A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
- Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"Only features that have a temporal property that intersects the value of `datetime` are selected.If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties. |
### Responses
**200**
The response is a document consisting of features in the collection. The features included in the response are determined by the server based on the query parameters of the request. To support access to larger collections without overloading the client, the API supports paged access with links to the next page, if more features are selected that the page size.
The `bbox` and `datetime` parameter can be used to select only a subset of the features in the collection (the features that are in the bounding box or time interval). The `bbox` parameter matches all features in the collection that are not associated with a location, too. The `datetime` parameter matches all features in the collection that are not associated with a time stamp or interval, too.
The `limit` parameter may be used to control the subset of the selected features that should be returned in the response, the page size. Each page may include information about the number of selected and returned features (`numberMatched` and `numberReturned`) as well as links to support paging (link relation `next`).
**400**
Illegal collection.
**403**
Insufficient permissions.
**404**
The requested URI was not found.
**500**
A server error occurred.
get/catalog/v1/collections/{collectionId}/items
https\://services.sentinel-hub.com/catalog/v1/collections/{collectionId}/items
### Response samples
* 200
* 400
* 403
* 500
Content type
application/geo+json
Copy
Expand all Collapse all
`{
"type": "FeatureCollection",
"features": [
{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/eo/v1.0.0/schema.json",
"https://stac-extensions.github.io/projection/v1.0.0/schema.json"
],
"id": "S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"type": "Feature",
"geometry": {
"type": "MultiPolygon",
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:OGC::CRS84"
}
},
"coordinates": [ [ [ [
12.456873618680804,
45.12550485074961
], [
12.499663722139168,
44.138006014975964
], [
13.153277241744092,
44.15044712021016
], [
13.558241653952589,
45.144727105915536
], [
12.456873618680804,
45.12550485074961
]
]
]
]
},
"bbox": [
12.456873618680804,
44.138006014975964,
13.558241653952589,
45.144727105915536
],
"properties": {
"datetime": "2020-12-29T10:18:19Z",
"platform": "sentinel-2b",
"instruments": [
"msi"
],
"constellation": "sentinel-2",
"gsd": 10,
"eo:cloud_cover": 93.93,
"proj:epsg": 32633,
"proj:bbox": [
300000,
4890240,
409800,
5000040
],
"proj:geometry": {
"type": "MultiPolygon",
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:EPSG::32633"
}
},
"coordinates": [ [ [ [
300000.99988415383,
5000039.000148304
], [
300000.99989785976,
4890241.000124758
], [
352314.4884079728,
4890241.000125499
], [
386653.8629171661,
5000039.000149397
], [
300000.99988415383,
5000039.000148304
]
]
]
]
}
},
"assets": {
"data": {
"href": "s3://sentinel-s2-l2a/tiles/33/T/UK/2020/12/29/0/",
"title": "s3",
"type": "inode/directory"
}
},
"collection": "sentinel-2-l2a",
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items/S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"rel": "self",
"type": "application/geo+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "collection",
"type": "application/json"
},
{
"href": "https://scihub.copernicus.eu/dhus/odata/v1/Products('1da14794-939f-4ede-b490-cd3a2348b495')/$value",
"rel": "derived_from",
"title": "scihub download"
}
]
}
],
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items?bbox=13,45,14,46&limit=1&datetime=2020-12-10T00:00:00Z/2020-12-30T00:00:00Z",
"rel": "self",
"type": "application/geo+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items?limit=1&next=1&datetime=2020-12-10T00:00:00Z/2020-12-30T00:00:00Z&bbox=13,45,14,46",
"rel": "next",
"type": "application/geo+json",
"title": "Next set of results"
}
],
"timeStamp": "2023-05-19T12:54:40.429059Z",
"numberReturned": 1
}`
## [](#tag/catalog_features/operation/getCatalogFeature)fetch a single feature
Fetch the feature with id `featureId` in the feature collection with id `collectionId`.
##### Authorizations:
*OAuth2*
##### path Parameters
| | |
| -------------------- | -------------------------------------- |
| collectionIdrequired | stringlocal identifier of a collection |
| featureIdrequired | stringlocal identifier of a feature |
### Responses
**200**
fetch the feature with id `featureId` in the feature collection with id `collectionId`
**400**
Illegal collection.
**403**
Insufficient permissions.
**404**
The requested URI was not found.
**500**
A server error occurred.
get/catalog/v1/collections/{collectionId}/items/{featureId}
https\://services.sentinel-hub.com/catalog/v1/collections/{collectionId}/items/{featureId}
### Response samples
* 200
* 400
* 403
* 500
Content type
application/geo+json
Copy
Expand all Collapse all
`{
"stac_version": "1.0.0",
"stac_extensions": [
"https://stac-extensions.github.io/eo/v1.0.0/schema.json",
"https://stac-extensions.github.io/projection/v1.0.0/schema.json"
],
"id": "S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"type": "Feature",
"geometry": {
"type": "MultiPolygon",
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:OGC::CRS84"
}
},
"coordinates": [ [ [ [
12.456873618680804,
45.12550485074961
], [
12.499663722139168,
44.138006014975964
], [
13.153277241744092,
44.15044712021016
], [
13.558241653952589,
45.144727105915536
], [
12.456873618680804,
45.12550485074961
]
]
]
]
},
"bbox": [
12.456873618680804,
44.138006014975964,
13.558241653952589,
45.144727105915536
],
"properties": {
"datetime": "2020-12-29T10:18:19Z",
"platform": "sentinel-2b",
"instruments": [
"msi"
],
"constellation": "sentinel-2",
"gsd": 10,
"eo:cloud_cover": 93.93,
"proj:epsg": 32633,
"proj:bbox": [
300000,
4890240,
409800,
5000040
],
"proj:geometry": {
"type": "MultiPolygon",
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:EPSG::32633"
}
},
"coordinates": [ [ [ [
300000.99988415383,
5000039.000148304
], [
300000.99989785976,
4890241.000124758
], [
352314.4884079728,
4890241.000125499
], [
386653.8629171661,
5000039.000149397
], [
300000.99988415383,
5000039.000148304
]
]
]
]
}
},
"assets": {
"data": {
"href": "s3://sentinel-s2-l2a/tiles/33/T/UK/2020/12/29/0/",
"title": "s3",
"type": "inode/directory"
}
},
"collection": "sentinel-2-l2a",
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/",
"rel": "root",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a/items/S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"rel": "self",
"type": "application/geo+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "parent",
"type": "application/json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/collections/sentinel-2-l2a",
"rel": "collection",
"type": "application/json"
},
{
"href": "https://scihub.copernicus.eu/dhus/odata/v1/Products('1da14794-939f-4ede-b490-cd3a2348b495')/$value",
"rel": "derived_from",
"title": "scihub download"
}
]
}`
## [](#tag/catalog_item_search)Item Search
This is an OpenAPI definition of the SpatioTemporal Asset Catalog API - Item Search specification.
## [](#tag/catalog_item_search/operation/getCatalogItemSearch)Search STAC items with simple filtering.
Retrieve Items matching filters. Intended as a shorthand API for simple queries.
This method is required to implement.
If this endpoint is implemented on a server, it is required to add a link referring to this endpoint with `rel` set to `search` to the `links` array in `GET /`. As `GET` is the default method, the `method` may not be set explicitly in the link.
##### Authorizations:
*OAuth2*
##### query Parameters
| | |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| bbox | Array of numbers or Array of numbersExample: bbox=13,45,14,46Only features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (height or depth):- Lower left corner, coordinate axis 1
- Lower left corner, coordinate axis 2
- Minimum value, coordinate axis 3 (optional)
- Upper right corner, coordinate axis 1
- Upper right corner, coordinate axis 2
- Maximum value, coordinate axis 3 (optional)The coordinate reference system of the values is WGS 84 longitude/latitude ().For WGS 84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).If the vertical axis is included, the third and the sixth number are the bottom and the top of the 3-dimensional bounding box.If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.Example: The bounding box of the New Zealand Exclusive Economic Zone in WGS 84 (from 160.6°E to 170°W and from 55.95°S to 25.89°S) would be represented in JSON as `[160.6, -55.95, -170, -25.89]` and in a query as `bbox=160.6,-55.95,-170,-25.89`. |
| intersects | pointGeoJSON (object) or multipointGeoJSON (object) or linestringGeoJSON (object) or multilinestringGeoJSON (object) or polygonGeoJSON (object) or multipolygonGeoJSON (object) or geometrycollectionGeoJSON (object) (geometryGeoJSON)The optional intersects parameter filters the result Items in the same was as bbox, only with a GeoJSON Geometry rather than a bbox. |
| datetimerequired | stringExample: datetime=2020-12-10T00:00:00Z/2020-12-30T00:00:00ZEither a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.Examples:- A date-time: "2018-02-12T23:20:50Z"
- A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
- Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"Only features that have a temporal property that intersects the value of `datetime` are selected.If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties. |
| limit | integer \[ 1 .. 100 ]Default: 10Example: limit=1The optional limit parameter recommends the number of items that should be present in the response document.Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items must not be counted.Minimum = 1. Maximum = 100. Default = 10. |
| ids | Array of strings (ids)Array of Item ids to return. |
| collectionsrequired | Array of strings (collectionsArray) = 1 itemsExample: collections=sentinel-2-l2aArray of Collection IDs to include in the search for items. Only Item objects in one of the provided collections will be searched |
| fields | stringExample: fields=id,type,-geometry,bbox,properties,-links,-assets**Extension:** FieldsDetermines the shape of the features in the response |
| filter | string (filter-cql2-text)Example: filter=eo:cloud\_cover>90**Extension:** FilterA CQL2 filter expression for filtering items. |
| distinct | string**Extension:** DistinctReturn distinct values of specified property. |
### Responses
**200**
A feature collection.
**400**
Illegal collection.
**403**
Insufficient permissions.
**500**
An error occurred.
get/catalog/v1/search
https\://services.sentinel-hub.com/catalog/v1/search
### Response samples
* 200
* 400
* 403
* 500
Content type
application/geo+json
Copy
Expand all Collapse all
`{
"type": "FeatureCollection",
"features": [
{
"bbox": [
12.456873618680804,
44.138006014975964,
13.558241653952589,
45.144727105915536
],
"id": "S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"type": "Feature",
"properties": {
"proj:epsg": 32633,
"datetime": "2020-12-29T10:18:19Z",
"instruments": [
"msi"
],
"constellation": "sentinel-2",
"proj:geometry": {
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:EPSG::32633"
}
},
"coordinates": [ [ [ [
300000.99988415383,
5000039.000148304
], [
300000.99989785976,
4890241.000124758
], [
352314.4884079728,
4890241.000125499
], [
386653.8629171661,
5000039.000149397
], [
300000.99988415383,
5000039.000148304
]
]
]
],
"type": "MultiPolygon"
},
"eo:cloud_cover": 93.93,
"gsd": 10,
"proj:bbox": [
300000,
4890240,
409800,
5000040
],
"platform": "sentinel-2b"
}
}
],
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/search?collections=sentinel-2-l2a&bbox=13,45,14,46&limit=1&datetime=2020-12-10T00:00:00Z/2020-12-30T00:00:00Z&filter=eo:cloud_cover>90&fields=id,type,-geometry,bbox,properties,-links,-assets",
"rel": "self",
"type": "application/geo+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/search?collections=sentinel-2-l2a&bbox=13,45,14,46&limit=1&datetime=2020-12-10T00:00:00Z/2020-12-30T00:00:00Z&filter=eo:cloud_cover>90&fields=id,type,-geometry,bbox,properties,-links,-assets&next=1",
"rel": "next",
"type": "application/geo+json",
"title": "Next set of results"
}
],
"context": {
"next": "1",
"limit": 1,
"returned": 1
}
}`
## [](#tag/catalog_item_search/operation/postCatalogItemSearch)Search STAC items with full-featured filtering.
Retrieve items matching filters. Intended as the standard, full-featured query API.
This method is optional to implement, but recommended.
If this endpoint is implemented on a server, it is required to add a link referring to this endpoint with `rel` set to `search` and `method` set to `POST` to the `links` array in `GET /`.
##### Authorizations:
*OAuth2*
##### Request Body schema: application/json
| | |
| ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| bbox | Array of numbers (CatalogBbox) \[ 4 .. 6 ] itemsOnly features that have a geometry that intersects the bounding box are selected. The bounding box is provided as four or six numbers, depending on whether the coordinate reference system includes a vertical axis (elevation or depth):- Lower left corner, coordinate axis 1
- Lower left corner, coordinate axis 2
- Lower left corner, coordinate axis 3 (optional)
- Upper right corner, coordinate axis 1
- Upper right corner, coordinate axis 2
- Upper right corner, coordinate axis 3 (optional)The coordinate reference system of the values is WGS84 longitude/latitude ().For WGS84 longitude/latitude the values are in most cases the sequence of minimum longitude, minimum latitude, maximum longitude and maximum latitude. However, in cases where the box spans the antimeridian the first value (west-most box edge) is larger than the third value (east-most box edge).If a feature has multiple spatial geometry properties, it is the decision of the server whether only a single spatial geometry property is used to determine the extent or all relevant geometries.Example: The bounding box of the New Zealand Exclusive Economic Zone in WGS 84 (from 160.6°E to 170°W and from 55.95°S to 25.89°S) would be represented in JSON as `[160.6, -55.95, -170, -25.89]` and in a query as `bbox=160.6,-55.95,-170,-25.89`. |
| datetimerequired | string (CatalogItemSearchDatetimeInterval)Either a date-time or an interval, open or closed. Date and time expressions adhere to RFC 3339. Open intervals are expressed using double-dots.Examples:- A date-time: "2018-02-12T23:20:50Z"
- A closed interval: "2018-02-12T00:00:00Z/2018-03-18T12:31:12Z"
- Open intervals: "2018-02-12T00:00:00Z/.." or "../2018-03-18T12:31:12Z"Only features that have a temporal property that intersects the value of `datetime` are selected.If a feature has multiple temporal properties, it is the decision of the server whether only a single temporal property is used to determine the extent or all relevant temporal properties. |
| intersects | geometryGeoJSON (object) or geometryGeoJSON (object) or geometryGeoJSON (object) or geometryGeoJSON (object) or geometryGeoJSON (object) or geometryGeoJSON (object) or geometryGeoJSON (object) (CatalogGeometryGeoJSON) |
| collectionsrequired | Array of strings (CatalogItemSearchCollectionsArray) = 1 itemsArray of Collection IDs to include in the search for items. Only Item objects in one of the provided collections will be searched. |
| ids | Array of strings (CatalogItemSearchIds)Array of Item ids to return. |
| limit | integer (CatalogItemSearchLimit) \[ 1 .. 100 ]The optional limit parameter limits the number of items that are presented in the response document.If the limit parameter value is greater than advertised limit maximum, the server must return the maximum possible number of items, rather than responding with an error.Only items are counted that are on the first level of the collection in the response document. Nested objects contained within the explicitly requested items must not be counted.Minimum = 1. Maximum = 100. Default = 10. |
| fields | object (CatalogItemSearchFieldsFields)The include and exclude members specify an array of property names that are either included or excluded from the result, respectively. If both include and exclude are specified, include takes precedence. Values should include the full JSON path of the property. |
| filter | andExpression (object) or cql2NotExpression (object) or (comparisonPredicate (binaryComparisonPredicate (object) or isBetweenPredicate (object))) (CatalogItemSearchFilterFilterCql2Json) |
| filter-lang | string (CatalogItemSearchFilterFilterLang)Enum: "cql2-text" "cql2-json"The CQL2 filter encoding that the 'filter' value uses. |
| filter-crs | string \ (CatalogItemSearchFilterFilterCrs)The coordinate reference system (CRS) used by spatial literals in the 'filter' value. The only value that STAC APIs must accept is ''. |
| distinct | string (CatalogItemSearchDistinctDistinct)Return distinct values of specified property. |
### Responses
**200**
A feature collection.
**400**
Illegal collection.
**403**
Insufficient permissions.
**500**
An error occurred.
post/catalog/v1/search
https\://services.sentinel-hub.com/catalog/v1/search
### Request samples
* Payload
Content type
application/json
Copy
Expand all Collapse all
`{
"collections": [
"sentinel-2-l2a"
],
"bbox": [
13,
45,
14,
46
],
"datetime": "2020-12-10T00:00:00Z/2020-12-30T00:00:00Z",
"fields": {
"include": [
"id",
"type",
"bbox",
"properties"
],
"exclude": [
"geometry",
"links",
"assets"
]
},
"filter": {
"op": ">",
"args": [
{
"property": "eo:cloud_cover"
},
90
]
},
"filter-lang": "cql2-json",
"limit": 1
}`
### Response samples
* 200
* 400
* 403
* 500
Content type
application/geo+json
Copy
Expand all Collapse all
`{
"type": "FeatureCollection",
"features": [
{
"bbox": [
12.456873618680804,
44.138006014975964,
13.558241653952589,
45.144727105915536
],
"id": "S2B_MSIL2A_20201229T101329_N0214_R022_T33TUK_20201229T115442",
"type": "Feature",
"properties": {
"proj:epsg": 32633,
"datetime": "2020-12-29T10:18:19Z",
"instruments": [
"msi"
],
"constellation": "sentinel-2",
"proj:geometry": {
"crs": {
"type": "name",
"properties": {
"name": "urn:ogc:def:crs:EPSG::32633"
}
},
"coordinates": [ [ [ [
300000.99988415383,
5000039.000148304
], [
300000.99989785976,
4890241.000124758
], [
352314.4884079728,
4890241.000125499
], [
386653.8629171661,
5000039.000149397
], [
300000.99988415383,
5000039.000148304
]
]
]
],
"type": "MultiPolygon"
},
"eo:cloud_cover": 93.93,
"gsd": 10,
"proj:bbox": [
300000,
4890240,
409800,
5000040
],
"platform": "sentinel-2b"
}
}
],
"links": [
{
"href": "https://services.sentinel-hub.com/catalog/v1/search",
"rel": "self",
"type": "application/geo+json"
},
{
"href": "https://services.sentinel-hub.com/catalog/v1/search",
"rel": "next",
"type": "application/geo+json",
"title": "Next set of results",
"method": "POST",
"body": {
"next": "1"
},
"merge": true
}
],
"context": {
"next": "1",
"limit": 1,
"returned": 1
}
}`